Subject: Re: [Sigtran] SCTP Port problem

From: "Agonias, Richard L. \(Digitel-GSM\)" <[email-masked]>
Date: Tue, 25 Nov 2008 10:16:15 +0800

Hi Michael,

Well. After I used 2910 I set up again a new connection with my SG going to another MSC-S but this time 2905 worked.

I think its kind a funny but its true.

Regards

richard

-----Original Message-----
From: Michael Tüxen [mailto:[email-masked]] 
Sent: 2008-11-24 21:27
To: Agonias, Richard L. (Digitel-GSM)
Cc: [email-masked]
Subject: Re: [Sigtran] SCTP Port problem

Hi Richard,

older version of the *BSD implementation did not support the port resuse
option, so when using the 1-to-1 style socket API you could not have
more than one client using  a particular port. But this has now
changed. Linux and Solaris did support it much longer.

Not sure which version you are using...

Best regards
Michael

On Nov 24, 2008, at 8:39 AM, Agonias, Richard L. (Digitel-GSM) wrote:

> Hi Michael,
>
> Thanks for the reply.
> Well I've been doing this as always. Setting up SCTP from one point  
> and so as the other. However, there was one particular instance that  
> SCTP port 2905 didn't work. So I tried changing it to 2910 and thus,  
> resolved the problem.
>
> Can you specify some SCTP implementation limitations?
>
> Thanks in advance
>
> Warmest regards,
>
> RICHARD
>
>
> -----Original Message-----
> From: [email-masked] [mailto:[email-masked]] On  
> Behalf Of Michael Tüxen
> Sent: 2008-11-24 15:26
> To: Agonias, Richard L. (Digitel-GSM)
> Cc: [email-masked]
> Subject: Re: [Sigtran] SCTP Port problem
>
> Hi Richard,
>
> from the protocol point, you can use one SCTP end-point to setup
> association
> with multiple other SCTP end-points.
>
> However, sometimes there are SCTP implementation limitations...
>
> Best regards
> Michael
>
> On Nov 24, 2008, at 2:56 AM, Agonias, Richard L. (Digitel-GSM) wrote:
>
>> Hi Experts,
>>
>> Good Day!
>>
>> I've been using SCTP port 2905 for all of my M3UA connections. This
>> is from my Signaling gateway to my MSC-Servers for the MAP
>> applications. However, when I tried to create a new one for my new
>> association, it turned out to be refusing the port 2905. I tried to
>> change it to 2910 and it works.
>>
>> My question, is there any limitation in using the SCTP port for M3UA
>> like it can only be used for 100 connections?
>>
>> Thanks!
>>
>> Regards,
>>
>> richard
>>
>>
>> _______________________________________________
>> Sigtran mailing list
>> [email-masked]
>> https://www.ietf.org/mailman/listinfo/sigtran
>
> _______________________________________________
> Sigtran mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/sigtran
>

_______________________________________________
Sigtran mailing list
[email-masked]
https://www.ietf.org/mailman/listinfo/sigtran